Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.core.util
Class ECPModelContextAdapter

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterImpl
          org.eclipse.emf.ecp.core.util.ECPModelContextAdapter

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Adapter, org.eclipse.emf.common.notify.Adapter.Internal

    public class ECPModelContextAdapter

extends org.eclipse.emf.common.notify.impl.AdapterImpl

The `ECPModelContextAdapter` can be used to be able to get the `ECPContainer` from a Notifier.

Author:
  Eike Stepper, Eugen Neufeld

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.emf.common.notify.Adapter
`org.eclipse.emf.common.notify.Adapter.Internal`

Constructor Summary
`ECPModelContextAdapter(ECPContainer context)` Constructor of this Adapter which expects an `ECPContainer`.

Method Summary
`ECPContainer` | `getContext()` The `ECPContainer` of this Adapter.
`boolean` | `isAdapterForType(Object type)`

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl
`getTarget, notifyChanged, setTarget, unsetTarget`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ECPModelContextAdapter

    public ECPModelContextAdapter(ECPContainer context)

  Constructor of this Adapter which expects an `ECPContainer`.

  Parameters:
    `context` - the `ECPContainer` of this adapter

Method Detail

### getContext

    public final ECPContainer getContext()

  The `ECPContainer` of this Adapter.

  Returns:
    the `ECPContainer`

### isAdapterForType

    public boolean isAdapterForType(Object type)

  Specified by:
    `isAdapterForType` in interface `org.eclipse.emf.common.notify.Adapter`
  Overrides:
    `isAdapterForType` in class `org.eclipse.emf.common.notify.impl.AdapterImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.